baby_steps(3)

NAME
baby_steps - Calls your handler in baby_steps for set processing.

  Modules
baby_steps_access_multiplexer: calls individual access methods based on baby_step mode.

  Functions
netsnmp_mib_handler * netsnmp_baby_steps_handler_get (u_long modes)
returns a baby_steps handler that can be injected into a given handler chain.
void netsnmp_baby_steps_handler_init (void)
initializes the baby_steps helper which then registers a baby_steps handler as a run-time injectable handler for configuration file use.

Detailed Description

Calls your handler in baby_steps for set processing.

Function Documentation

  netsnmp_mib_handler* netsnmp_baby_steps_handler_get (u_long modes)

returns a baby_steps handler that can be injected into a given handler chain.

Definition at line 58 of file baby_steps.c.

Referenced by netsnmp_baby_steps_handler_init().

  void netsnmp_baby_steps_handler_init (void)

initializes the baby_steps helper which then registers a baby_steps handler as a run-time injectable handler for configuration file use.

Definition at line 319 of file baby_steps.c.

References netsnmp_baby_steps_handler_get(), and netsnmp_register_handler_by_name().